Skip to content
Start here

Fetch all presets

client.realtimeKit.presets.get(stringappId, PresetGetParams { account_id, page_no, per_page } params, RequestOptionsoptions?): PresetGetResponse { data, paging, success }
GET/accounts/{account_id}/realtime/kit/{app_id}/presets

Fetches all the presets belonging to an App.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
params: PresetGetParams { account_id, page_no, per_page }
account_id: string

Path param: The account identifier tag.

maxLength32
page_no?: number

Query param: The page number from which you want your page search results to be displayed.

minimum0
per_page?: number

Query param: Number of results per page

minimum0
ReturnsExpand Collapse
PresetGetResponse { data, paging, success }
data: Array<Data>
id?: string

ID of the preset

formatuuid
created_at?: string

Timestamp this preset was created at

formatdate-time
name?: string

Name of the preset

updated_at?: string

Timestamp this preset was last updated

formatdate-time
paging: Paging { end_offset, start_offset, total_count }
end_offset: number
start_offset: number
total_count: number
minimum0
success: boolean

Fetch all presets

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const preset = await client.realtimeKit.presets.get('app_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(preset.data);
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "created_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "paging": {
    "end_offset": 30,
    "start_offset": 1,
    "total_count": 30
  },
  "success": true
}